package de.cnam.jemina.objects;

import de.cnam.jemina.persistents.IPersistensObject;

/**
 * POJO Klasse Artikel
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public abstract class Artikel implements IPersistensObject {
    
    private int id;
    private String titel;
    private String beschreibung;

    public Artikel(String titel, String beschreibung) {
        this.titel = titel;
        this.beschreibung = beschreibung;
    }

    public Artikel(int id, String titel, String beschreibung) {
        this.id = id;
        this.titel = titel;
        this.beschreibung = beschreibung;
    }
    
    /**
     * Liefert die ID des Artikels
     * @return 
     */
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    /**
     * Liefert den Titel des Artikels
     * @return 
     */
    public String getTitel() {
        return titel;
    }

    public void setTitel(String titel) {
        this.titel = titel;
    }

    /**
     * Liefert die Beschreibung des Artikels
     * @return 
     */
    public String getBeschreibung() {
        return beschreibung;
    }

    public void setBeschreibung(String beschreibung) {
        this.beschreibung = beschreibung;
    }
}
