package de.cnam.jemina.objects;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * POJO-Klasse
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class Video extends Artikel {
    
    private int abspieldauer;
    private int fsk;
    private VideoTyp typ;

    public Video(int abspieldauer, int fsk, VideoTyp typ, String titel, String beschreibung) {
        super(titel, beschreibung);
        this.abspieldauer = abspieldauer;
        this.fsk = fsk;
        this.typ = typ;
    }

    /**
     * Abspieldauer in Minuten
     * @return 
     */
    public int getAbspieldauer() {
        return abspieldauer;
    }

    public void setAbspieldauer(int abspieldauer) {
        this.abspieldauer = abspieldauer;
    }

    /**
     * Altersfreigabe der FSK
     * @return 
     */
    public int getFsk() {
        return fsk;
    }

    public void setFsk(int fsk) {
        this.fsk = fsk;
    }

    public VideoTyp getTyp() {
        return typ;
    }

    public void setTyp(VideoTyp typ) {
        this.typ = typ;
    }
    
    public static enum VideoTyp {
        DVD, BLUERAY, VHS
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}
