package de.cnam.jemina.ui.controlls.impl;

import com.vaadin.ui.Component;
import de.cnam.jemina.entrypoint.IJeminaApplication;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.ui.controlls.IControll;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Modul "Logout"
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 23.01.2013
 */
public class LogoutControll implements IControll{
    
    public static final String MODUL_NAME = "Logout";
    public static final String MODUL_ICON = "Logout";
    
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(LogoutControll.class);
    
    // Logging:
    private final Logger log = LoggerFactory.getLogger(LogoutControll.class);
    
    // Applikation:
    private final IJeminaApplication app;

    /**
     * 
     * @param app 
     */
    public LogoutControll(IJeminaApplication app) {
        this.app = app;
    }
    
    @Override
    public String getName() {
        return MODUL_NAME;
    }

    @Override
    public String getIconName() {
        return MODUL_ICON;
    }

    @Override
    public String getCaption() {
        return locale.localize(MODUL_NAME);
    }

    @Override
    public Component open(Object obj, Map additionalParameters) {
        //
        if (log.isInfoEnabled()) {
            log.info("Abmeldung des Users '{}'", app.getUser().getLoginId());
        }
        
        // Anwendung ueber Abmeldung informieren:
        app.notifyLogin(null);
        
        return null;
    }

}
